Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.openbase
Class OpenBaseJoinStack

    java.lang.Object
      org.apache.cayenne.access.trans.JoinStack
          org.apache.cayenne.dba.openbase.OpenBaseJoinStack

    public class OpenBaseJoinStack

extends JoinStack

OpenBase does not support standard JOIN keyword and have strange syntax for defining inner/outer joins

See Also:
  `http://www.openbase.com/help/KnowledgeBase/400_OpenBaseSQL/401_SelectStatements.html`

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.JoinStack
`rootNode, topNode`

Constructor Summary
`OpenBaseJoinStack()`

Method Summary
`protected void` | `appendJoinSubtree(Appendable out, JoinTreeNode node)`
`protected void` | `appendQualifier(Appendable out, boolean firstQualifyerElement)` Append join information to the qualifier - the part after "WHERE".
`protected void` | `appendQualifierSubtree(Appendable out, JoinTreeNode node)`

Methods inherited from class org.apache.cayenne.access.trans.JoinStack
`appendJoins, newAlias, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenBaseJoinStack

    public OpenBaseJoinStack()

Method Detail

### appendJoinSubtree

    protected void appendJoinSubtree(Appendable out,
                                     JoinTreeNode node)
                              throws IOException

  Overrides:
    `appendJoinSubtree` in class `JoinStack`
  Throws:
    `IOException`

### appendQualifier

    protected void appendQualifier(Appendable out,
                                   boolean firstQualifyerElement)
                            throws IOException

  Description copied from class: `JoinStack`
  Append join information to the qualifier - the part after "WHERE".

  Overrides:
    `appendQualifier` in class `JoinStack`
  Throws:
    `IOException`

### appendQualifierSubtree

    protected void appendQualifierSubtree(Appendable out,
                                          JoinTreeNode node)
                                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.